Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## editor.model
Class Hotspot

    java.lang.Object
      editor.model.Hotspot

    public class Hotspot

extends java.lang.Object

This class will be used by the gui to store information about an interactive hotspot created with the editor

Author:
  Frank Bruns

Constructor Summary
`Hotspot(java.lang.String name, java.lang.String bshName, java.lang.String x, java.lang.String y, java.lang.String width, java.lang.String height)` Creates an interactive hotspot object for data storage purposes for the editor

Method Summary
`java.lang.String` | `getBshName()` Returns the beanshell name
`java.lang.String` | `getHeight()` Returns the height
`java.lang.String` | `getName()` Returns the name
`java.lang.String` | `getWidth()` Returns the width
`java.lang.String` | `getX()` Returns the x coordinate
`java.lang.String` | `getY()` Returns the y coordinate

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hotspot

    public Hotspot(java.lang.String name,
                   java.lang.String bshName,
                   java.lang.String x,
                   java.lang.String y,
                   java.lang.String width,
                   java.lang.String height)

  Creates an interactive hotspot object for data storage purposes for the editor

  Parameters:
    `name` - interactive hotspot name
    `bshName` - interactive hotspot beanshell name
    `x` - x coordinate
    `y` - y coordinate
    `width` - interactive hotspot width
    `height` - interactive hotspot height

Method Detail

### getBshName

    public java.lang.String getBshName()

  Returns the beanshell name

  Returns:
    beanshell name

### getHeight

    public java.lang.String getHeight()

  Returns the height

  Returns:
    height

### getName

    public java.lang.String getName()

  Returns the name

  Returns:
    name

### getWidth

    public java.lang.String getWidth()

  Returns the width

  Returns:
    width

### getX

    public java.lang.String getX()

  Returns the x coordinate

  Returns:
    x coordinate

### getY

    public java.lang.String getY()

  Returns the y coordinate

  Returns:
    y coordinate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD